PathExpanders (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb

## Class PathExpanders

- java.lang.Object
- - org.neo4j.graphdb.PathExpanders

-     public abstract class PathExpanders
      extends Object

  A catalog of convenient `PathExpander` factory methods.

  Use `PathExpanderBuilder` to build specialized `PathExpander`s.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <STATE> PathExpander<STATE>` | `allTypesAndDirections()` A very permissive `PathExpander` that follows any type in any direction.
    `static <STATE> PathExpander<STATE>` | `forConstantDirectionWithTypes(RelationshipType... types)` An expander forcing constant relationship direction
    `static <STATE> PathExpander<STATE>` | `forDirection(Direction direction)` A very permissive `PathExpander` that follows any type in `direction`.
    `static <STATE> PathExpander<STATE>` | `forType(RelationshipType type)` A very permissive `PathExpander` that follows `type` in any direction.
    `static <STATE> PathExpander<STATE>` | `forTypeAndDirection(RelationshipType type, Direction direction)` A very restricted `PathExpander` that follows `type` in `direction`.
    `static <STATE> PathExpander<STATE>` | `forTypesAndDirections(RelationshipType type1, Direction direction1, RelationshipType type2, Direction direction2, Object... more)` A very restricted `PathExpander` that follows only the `type`/ `direction` pairs that you list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### allTypesAndDirections

          public static <STATE> PathExpander<STATE> allTypesAndDirections()

      A very permissive `PathExpander` that follows any type in any direction.

    - #### forType

          public static <STATE> PathExpander<STATE> forType(RelationshipType type)

      A very permissive `PathExpander` that follows `type` in any direction.

    - #### forDirection

          public static <STATE> PathExpander<STATE> forDirection(Direction direction)

      A very permissive `PathExpander` that follows any type in `direction`.

    - #### forTypeAndDirection

          public static <STATE> PathExpander<STATE> forTypeAndDirection(RelationshipType type,
                                                        Direction direction)

      A very restricted `PathExpander` that follows `type` in `direction`.

    - #### forTypesAndDirections

          public static <STATE> PathExpander<STATE> forTypesAndDirections(RelationshipType type1,
                                                          Direction direction1,
                                                          RelationshipType type2,
                                                          Direction direction2,
                                                          Object... more)

      A very restricted `PathExpander` that follows only the `type`/ `direction` pairs that you list.

    - #### forConstantDirectionWithTypes

          public static <STATE> PathExpander<STATE> forConstantDirectionWithTypes(RelationshipType... types)

      An expander forcing constant relationship direction

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.